﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FacebookAPI.FacebookProperties;
using System.Security.Policy;

namespace FacebookAPI.Objects
{
    public class Group : FacebookBaseObject
    {
        public int Version { get; set; }

        public Url Icon { get; set; }

        public FacebookBaseObject Owner { get; set; }

        public string Description { get; set; }

        public Url Link { get; set; }

        public FacebookPrivacyTypes Privacy { get; set; }

        public DateTime Updated_Time { get; set; }

        public string Email { get; set; }

        public string GetPostData()
        {
            return "name=" + this.Name;
        }
    }
}
