﻿using System;
using System.Configuration;
using FacebookAPI.Base;
using FacebookAPI.Managers;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace TestProject
{
    [TestClass]
    public class FacebookApplicationTest
    {
        private string accessToken = ConfigurationManager.AppSettings["AccessToken"];

        [TestMethod]
        public void GetAllApplications()
        {
            try
            {
                FacebookApplicationManager mgr = new FacebookApplicationManager();
                string appAccessToken = mgr.GetAppAccessToken("APPID", "APPSECRET");
                Console.WriteLine(appAccessToken);
            }
            catch (FacebookException ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
