﻿using System;
using System.Collections.Generic;
using FacebookAPI.FacebookProperties;

namespace FacebookAPI.Objects
{
    public class FacebookApplication:FacebookBaseObject
    {
        public string Description { get; set; }

        public string Canvas_Name { get; set; }

        public string Category { get; set; }

        public string Company { get; set; }

        public Uri Icon_Url { get; set; }

        public string SubCategory { get; set; }

        public Uri Link { get; set; }

        public string Logo_Url { get; set; }

        public long Daily_Active_Users { get; set; }

        public long Weekly_Active_Users { get; set; }

        public long Monthly_Active_Users { get; set; }

        public List<string> Migrations { get; set; }

        public string NameSpace { get; set; }

        public string Restrictions { get; set; }

        public string Access_Token { get; set; }
    }
}
