﻿using System;
using System.Collections.Generic;
using FacebookAPI.FacebookProperties;

namespace FacebookAPI.Objects
{
    public class FacebookQuestion
    {
        #region Properties

        public string Id { get; set; }

        public FacebookBaseObject From { get; set; }

        public string Question { get; set; }

        public DateTime Created_Time { get; set; }

        public DateTime Updated_Time { get; set; }

        public FacebookConnection<QuestionOption> Options { get; set; }

        #endregion

        #region Methods

        public override string ToString()
        {
            return this.Question;
        }

        #endregion
    }
}
