﻿using System;
using System.Collections.Generic;
using FacebookAPI.FacebookProperties;

namespace FacebookAPI.Objects
{
    public class User : FacebookBaseObject
    {
        /// <summary>
        /// Gets the value of First_Name
        /// </summary>
        public string First_Name { get; set; }

        /// <summary>
        /// Gets the value of Middle_Name
        /// </summary>
        public string Middle_Name { get; set; }

        /// <summary>
        /// Gets the value of Last_Name
        /// </summary>
        public string Last_Name { get; set; }

        /// <summary>
        /// Gets the value of Gender
        /// </summary>
        public string Gender { get; set; }

        /// <summary>
        /// Gets the value of Locale
        /// </summary>
        public string Locale { get;  set; }

        /// <summary>
        /// Gets the value of Languages
        /// </summary>
        public List<FacebookBaseObject> Languages { get; set; }

        /// <summary>
        /// Gets the value of Link
        /// </summary>
        public string Link { get; set; }

        /// <summary>
        /// Gets the value of UserName
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// Gets the value of Third_Party_Id
        /// </summary>
        public string Third_Party_Id { get; set; }

        /// <summary>
        /// Gets the value of TimeZone
        /// </summary>
        public decimal TimeZone { get;  set; }

        /// <summary>
        /// Gets the value of Updated_Time
        /// </summary>
        public DateTime Updated_Time { get;  set; }

        /// <summary>
        /// Gets the value of Verified
        /// </summary>
        public bool Verified { get;  set; }

        /// <summary>
        /// Gets the value of Bio
        /// </summary>
        public string Bio { get;  set; }

        /// <summary>
        /// Gets the value of Birthday
        /// </summary>
        public DateTime Birthday { get;  set; }

        /// <summary>
        /// Gets the value of Email
        /// </summary>
        public string Email { get;  set; }

        /// <summary>
        /// Gets the value of HomeTown
        /// </summary>
        public FacebookBaseObject HomeTown { get;  set; }

        /// <summary>
        /// Gets the value of Interested_In
        /// </summary>
        public List<string> Interested_In { get;  set; }

        /// <summary>
        /// Gets the value of Location
        /// </summary>
        public FacebookBaseObject Location { get;  set; }

        /// <summary>
        /// Gets the value of Political
        /// </summary>
        public string Political { get; set; }

        /// <summary>
        /// Gets the value of Favorite_Athletes
        /// </summary>
        public List<FacebookBaseObject> Favorite_Athletes { get;  set; }

        /// <summary>
        /// Gets the value of Favorite_Teams
        /// </summary>
        public List<FacebookBaseObject> Favorite_Teams { get;  set; }

        /// <summary>
        /// Gets the value of Quotes
        /// </summary>
        public string Quotes { get; set; }

        /// <summary>
        /// Gets the value of Relationship_Status
        /// </summary>
        public string Relationship_Status { get;  set; }

        /// <summary>
        /// Gets the value of Religion
        /// </summary>
        public string Religion { get; set; }

        /// <summary>
        /// Gets the value of Significant_Other
        /// </summary>
        public FacebookBaseObject Significant_Other { get;  set; }

        /// <summary>
        /// Gets the value of Video_Upload_Limits
        /// </summary>
        public object Video_Upload_Limits { get;  set; }

        /// <summary>
        /// Gets the value of Website
        /// </summary>
        public string Website { get;  set; }

        /// <summary>
        /// Gets the value of Work
        /// </summary>
        public List<Work> Work { get;  set; }

    }


}
