﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Configuration;
using FacebookAPI.Objects;
using FacebookAPI.Managers;
using FacebookAPI.Base;
using FacebookAPI.FacebookProperties;

namespace TestProject
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestClass]
    public class FacebookPostTest
    {
        /// <summary>
        /// The Facebook access token to test the features
        /// </summary>
        private string accessToken = ConfigurationManager.AppSettings["AccessToken"];

        public FacebookPostTest()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void CreatePost()
        {
            try
            {
                Post post = new Post();
                post.Message = "Test message from new Facebook Api1234";
                post.Link = "http://www.neoadams.com";
                post.Picture = "fullpath";
                post.Source = "fullpath";
                post.Description = "Test post 1 edited 4";
                post.Caption = "Neo Adams";
                post.Privacy = new PostPrivacy()
                {
                    Value = PostPrivacyValues.EVERYONE
                };

                FacebookPostManager mgr = new FacebookPostManager();
                string newPostId = mgr.CreatePost(post, accessToken);
            }
            catch (FacebookException ex)
            {
            }
        }

        [TestMethod]
        public void GetPost()
        {
            try
            {
                FacebookPostManager mgr = new FacebookPostManager();
                Post post = mgr.GetPostById("objectid", accessToken);

            }
            catch (FacebookException ex)
            {
            }
        }
    }
}
